import { Awaitable } from "../utils.ts";

export type Info = { kind: "abscent" } | { kind: "somewhere" } | { kind: "there" };

export type GuessResult = { kind: "success" } | { kind: "failure"; informations: Info[] };

export interface Gaming {
	length(): number;
	guess(guess: string, known: string): Awaitable<GuessResult>;
}
